using System;
using System.Windows.Forms;
using Habanero.Base;
using Habanero.BO;
using Habanero.DB;
using Habanero.UI.Win;
using log4net;
using log4net.Config;

namespace Replace_it
{
    static class Program
    {
        private static readonly ILog log = LogManager.GetLogger("ReplaceIT.Program");

        [STAThread]
        static void Main()
        {
            HabaneroAppWin mainApp = new HabaneroAppWin("Replace_it", "v2.3.0");
            DOMConfigurator.Configure();
            try
            {
                log.Debug("---------------------------------------------------------------------");
                log.Debug("ReplaceIT Starting");
                log.Debug("---------------------------------------------------------------------");
                if (!mainApp.Startup()) return;
            
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);

                FormWin programForm = new FormWin();
                new UIManagerWin().SetupMainForm(programForm);

                Application.Run(programForm);
            }
            catch (Exception ex)
            {
                log.Error(ex.Message);
                GlobalRegistry.UIExceptionNotifier.Notify(ex,
					"An error has occurred in the application.",
					"Application Error");
            }
        }


    }
}